# Programs
EPSTOPDF	:= epstopdf
TGIF		:= tgif
FIG2DEV		:= fig2dev
METAPOST	:= mpost

# Options
TGIFOPTS	:= -print -color -eps
FIGEPSOPTS	:= -L eps
FIGPDFOPTS	:= -L pdf
FIGMPOPTS	:= -L mp
FIGMMPOPTS	:= -L mmp

.SUFFIXES:	.fig .eps .pdf .mp .mmp .obj

.fig.mp:
	${FIG2DEV} ${FIGMPOPTS} $< $@
	${METAPOST} $@
.fig.mmp:
	${FIG2DEV} ${FIGMMPOPTS} $< $@
	${METAPOST} $@
.fig.pdf:
	${FIG2DEV} ${FIGPDFOPTS} $< $@
.fig.eps:
	${FIG2DEV} ${FIGEPSOPTS} $< $@
.obj.eps:
	${TGIF} ${TGIFOPTS} $<
.eps.pdf:
	${EPSTOPDF} $<
