# Paths
GROFF_TMAC	:= ../../ttt/
PICDIR		:= pics/

# Programs
GROFF		:= groff
#GROFF		:= env GROFF_TMAC_PATH=${GROFF_TMAC} groff
PS2PDF		:= ps2pdf
PRESENT		:= presentps
#PRESENT		:= ../../ttt/presentps

# Options
GROFFOPTS	:= -pte -mm -mpresent
PS2PDFOPTS	:= -dCompatibilityLevel=1.3
PRESENTOPTS	:= -l

# Macros
DOCS		:= present.roff
DOCPS		:= ${DOCS:.roff=.ps}
DOCPDF		:= ${DOCS:.roff=.pdf}

.SUFFIXES:	.ps .pdf .pps .roff

.roff.pps:
	${GROFF} ${GROFFOPTS} $< >$@
.pps.ps:
	${PRESENT} ${PRESENTOPTS} $< >$@
.ps.pdf:
	${PS2PDF} ${PS2PDFOPTS} $< $@
